ExpiresFilter.Duration (Apache Tomcat 11.0.24 API Documentation)
Description: declaration: package: org.apache.catalina.filters, class: ExpiresFilter, record: Duration

# Record Class ExpiresFilter.Duration

java.lang.Object
java.lang.Record
org.apache.catalina.filters.ExpiresFilter.Duration

Record Components:
  `amount` - Magnitude of duration
  `unit` - Unit of duration

Enclosing class:
  `ExpiresFilter`

public static record ExpiresFilter.Duration(int amount, ExpiresFilter.DurationUnit unit) extends Record
Duration composed of an `amount` and a `unit`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Duration(int amount, ExpiresFilter.DurationUnit unit)`
  Creates an instance of a `Duration` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `amount()`
  Returns the value of the `amount` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `int`
  `getAmount()`
  Returns the magnitude of this duration.
  `ExpiresFilter.DurationUnit`
  `getUnit()`
  Returns the unit of this duration.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `toString()`
  Returns a string representation of this record class.
  `ExpiresFilter.DurationUnit`
  `unit()`
  Returns the value of the `unit` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Duration

    public Duration(int amount, ExpiresFilter.DurationUnit unit)
    Creates an instance of a `Duration` record class.
    Parameters:
      `amount` - the value for the `amount` record component
      `unit` - the value for the `unit` record component

- ## Method Details

  - ### getAmount

    public int getAmount()
    Returns the magnitude of this duration.
    Returns:
      the amount

  - ### getUnit

    public ExpiresFilter.DurationUnit getUnit()
    Returns the unit of this duration.
    Returns:
      the unit

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### amount

    public int amount()
    Returns the value of the `amount` record component.
    Returns:
      the value of the `amount` record component

  - ### unit

    public ExpiresFilter.DurationUnit unit()
    Returns the value of the `unit` record component.
    Returns:
      the value of the `unit` record component